
#calc_block{
max-width:860px;
margin:0px auto;
padding-top:30px;
/*font-family:arial;*/
/*font-size:16px;*/
padding-bottom:80px;
}

#calc_block .option_block{
font-size:15px;
}

#calc_block .option_block div{
/*width:220px;
display:inline-block;
float:left;*/

}
#calc_block .option_block select{
padding:4px;
border-color: #ccc;
border-radius: 4px;
}

#calc_block .row>div, .add_res div{
display:inline-block;
float:left;
padding:20px 10px 30px 0;
position:relative;

}

#calc_thickness {
  height:35px;
}

#calc_str {
  height:35px;
}


.select_decor {
  white-space: nowrap;
}
.buttons_block {
  max-width: 100px;
}
.add_button, .add_raschet, .import_data, .import_data_from_file, #print_spec, #print_spec_pdf, #online_popup_open{
border-radius:6px;
background:#f1f4ed;
border:1px solid #c9c9c9;
width:200px;
text-align:center;
padding:4px 0;
cursor:pointer;
float:left;
}
input[type="file"] {
    display: none;
}
.custom-file-upload {
border-radius:6px;
background:#f1f4ed;
border:1px solid #c9c9c9;
width:200px;
max-width:200%;
text-align:center;
padding:4px 0;
cursor:pointer;
float:left;
margin-top: 10px;
color: #555;
font-weight: 500;
margin-right: 10px;
}
.import_data_from_file {
  margin-top: 10px;
}
.download-template {
border-radius: 6px;
background: #f1f4ed;
border: 1px solid #c9c9c9;
width: 200px;
text-align: center;
padding: 4px 0;
cursor: pointer;
float: left;
margin-top: 10px;
color: #555;
margin-right: 10px;
}
#online_popup_open{
width:300px;
padding:7px 0;
float:inherit;
margin:10px auto;
display:none;
}
.specifik_block h3 span{
float:left;

}
#print_spec{
display:inline-block;
float:inherit;
margin-left:100px;
font-size:17px;
}
#print_spec a{
color:#787878;
text-decoration:none;
}

.add_button:hover, .add_raschet:hover, #print_spec:hover, #print_spec_pdf:hover, #online_popup_open:hover{
background:#c9c9c9;

}

.add_raschet{
clear:both;
margin-top:10px;
}
.add_res{
padding:20px 0 0 0;
clear:both;
display:block;
/*overflow:hidden;*/
}
.add_res input, select, .res_block input{
padding:3px 0;
text-align:center;
margin-right:20px;
font-size:16px;
}



.add_res div:nth-child(3) input, .res_block .row div:nth-child(3) input{
width:40px;
}



.add_res div span, .res_block span{
position:absolute;
color:#787878;
font-size:12px;
}
.row span[data-id="2"], .add_res div span[data-id="2"]{
left:15%;
top:0px;
}

.row span[data-id="3"], .add_res div span[data-id="3"]{
left:65%;
top:0px;
}

.row span[data-id="5"],.add_res div span[data-id="5"]{
left:15%;
bottom:0px;
}

.row span[data-id="6"], .add_res div span[data-id="6"]{
left:65%;
bottom:0px;
}



.add_res div span:hover,.add_res div span.active_s,.res_block div span:hover,.res_block div span.active_s{
color:#000;
text-decoration:underline;
cursor:pointer;
}
.add_res div span.active_s, .res_block div span.active_s {
	font-weight: 700;
}
#calc_block .row{
overflow:hidden;
display:block;
clear:both;
}




.popup_list{
left:20%;
top:100px;
border:1px solid #787878;
position:fixed;
width:1000px;
height:600px;
border-radius:5px;
z-index:100;
background:#FFF;
/*font-family:arial;*/
display:none;
}

.popup_list .list_block{
position:absolute;
width:300px;
height:300px;
overflow:hidden;
}
.popup_list .left_top{

left:20px;
top:20px;
}
.popup_list .left_bottom{

left:20px;
bottom:20px;
}

.popup_list .right_top{

right:20px;
top:20px;
}
.popup_list .right_bottom{

right:20px;
bottom:20px;
}

.popup_list .list_block .menu{
overflow:hidden;
}
.popup_list .list_block .menu li{
color:#0284e9;
float:left;
padding:7px;
margin-right:7px;
list-style-type:none;
cursor:pointer;
border-radius:5px;
}
.popup_list .list_block .menu li:before {
	display: none;
}
.popup_list .list_block .menu li:hover{
background-color: #dad8d8;
}
.popup_list .list_block .menu li.active_li{
background-color: #428bca;
color:#FFF;
}
.popup_list .list_block div{
margin-top:20px;
font-weight:bold;
}
.popup_list .list_block div input{
padding:5px;
width:60px;
margin-left:20px;

}


.popup_list .list_block div[data-id="2"],.popup_list .list_block div[data-id="3"]{
display:none;

}
.popup_list .center_block{
width:200px;
height:200px;
position:absolute;
left:40%;
top:30%;
}
.popup_list .center_block .center_width{
position:absolute;
text-align:center;
top:-20px;
width:100%;
}
.popup_list .center_block .center_hight{
position:absolute;

right:100%;
top:50%;

}
.popup_list .center_block div[data-id="left_top"]{
position:absolute;
width:98px;
height:98px;
background:#487aad;
left:0px;
top:0px;
border-bottom:4px dashed #bbbbbb;
border-right:4px dashed #bbbbbb;
}
.popup_list .center_block div[data-id="left_bottom"]{
overflow:hidden;
position:absolute;
width:98px;
height:98px;
background:#487aad;
left:0px;
bottom:0px;
border-top:4px dashed #bbbbbb;
border-right:4px dashed #bbbbbb;
}

.popup_list .center_block div[data-id="right_top"]{
position:absolute;
width:98px;
height:98px;
background:#487aad;
right:0px;
top:0px;
border-left:4px dashed #bbbbbb;
border-bottom:4px dashed #bbbbbb;
}
.popup_list .center_block div[data-id="right_bottom"]{
position:absolute;
width:98px;
height:98px;
background:#487aad;
right:0px;
bottom:0px;
border-left:4px dashed #bbbbbb;
border-top:4px dashed #bbbbbb;
}
.popup_list .center_block div[data-id="left_top"].active_r{
border-top-left-radius:50px;
}
.popup_list .center_block div[data-id="left_bottom"].active_r{
border-bottom-left-radius:50px;
}
.popup_list .center_block div[data-id="right_top"].active_r{
border-top-right-radius:50px;
}
.popup_list .center_block div[data-id="right_bottom"].active_r{
border-bottom-right-radius:50px;
}







.popup_list .center_block div div .abs_s{
position:absolute;
}
.popup_list .center_block div div[data-id="3"],.popup_list .center_block div div[data-id="2"]{
position:absolute;
width:50px !important;
height:50px !important;
}

.popup_list .center_block div[data-id="left_top"]  div[data-id="3"],.popup_list .center_block div[data-id="left_top"]  div[data-id="2"]{
left:0px;
top:0px;
border-bottom:1px solid #000;
border-right:1px solid #000;
}
.popup_list .center_block div[data-id="left_bottom"]  div[data-id="3"],.popup_list .center_block div[data-id="left_bottom"]  div[data-id="2"]{
left:0px;
bottom:0px;
border-top:1px solid #000;
border-right:1px solid #000;
}
.popup_list .center_block div[data-id="right_top"]  div[data-id="3"],.popup_list .center_block div[data-id="right_top"]  div[data-id="2"]{
right:0px;
top:0px;
border-bottom:1px solid #000;
border-left:1px solid #000;
}
.popup_list .center_block div[data-id="right_bottom"]  div[data-id="3"],.popup_list .center_block div[data-id="right_bottom"]  div[data-id="2"]{
right:0px;
bottom:0px;
border-top:1px solid #000;
border-left:1px solid #000;
}


.popup_list .center_block div div[data-id="3"] .r00{
width: 0;
height: 0;

}
.popup_list .center_block div[data-id="left_top"] div[data-id="3"] .r00{

    border-top: 50px solid white;
    border-right: 50px solid transparent;

}
.popup_list .center_block div[data-id="left_bottom"] div[data-id="3"] .r00{

    border-bottom: 50px solid white;
    border-right: 50px solid transparent;

}
.popup_list .center_block div[data-id="right_top"] div[data-id="3"] .r00{

    border-top: 50px solid white;
    border-left: 50px solid transparent;

}
.popup_list .center_block div[data-id="right_bottom"] div[data-id="3"] .r00{

    border-bottom: 50px solid white;
    border-left: 50px solid transparent;

}



.popup_list .center_block div[data-id="left_top"] div[data-id="2"] .r0{
top:50px;
left:50px;
}
.popup_list .center_block div[data-id="left_bottom"] div[data-id="2"] .r0{
bottom:50px;
left:50px;
}
.popup_list .center_block div[data-id="right_top"] div[data-id="2"] .r0{
top:50px;
right:50px;
}
.popup_list .center_block div[data-id="right_bottom"] div[data-id="2"] .r0{
bottom:50px;
right:50px;
}

.popup_list .center_block div div[data-id="3"],.popup_list .center_block div div[data-id="2"]{
display:none
}

.popup_list .center_block div[data-id="left_top"] div[data-id="3"] .r1{
top:50px;
left:40px;
display:inline-block;
}

.popup_list .center_block div[data-id="left_bottom"] div[data-id="3"] .r1{
bottom:50px;
left:40px;
display:inline-block;
}
.popup_list .center_block div[data-id="right_top"] div[data-id="3"] .r1{
top:50px;
right:45px;
display:inline-block;
}
.popup_list .center_block div[data-id="right_bottom"] div[data-id="3"] .r1{
bottom:50px;
right:45px;
display:inline-block;
}

.popup_list .center_block div[data-id="left_top"] div[data-id="3"] .r2{
top:30px;
left:55px;
display:inline-block;
}

.popup_list .center_block div[data-id="left_bottom"] div[data-id="3"] .r2{
bottom:30px;
left:55px;
display:inline-block;
}
.popup_list .center_block div[data-id="right_top"] div[data-id="3"] .r2{
top:30px;
right:55px;
display:inline-block;
}
.popup_list .center_block div[data-id="right_bottom"] div[data-id="3"] .r2{
bottom:30px;
right:55px;
display:inline-block;
}














.popup_list #conner-input-save{
position:absolute;
cursor:pointer;
bottom:40px;
right:40px;
padding:4px;
font-size:16px;
}
table .update{
display:inline-block;
color:#787878;
cursor:pointer;
margin-right:6px;
}
table .delete{
display:inline-block;
cursor:pointer;
color:#787878;

}
table .delete:hover,table .update:hover{
text-decoration:underline;
}
.add_tab2,.add_tab3{
display:none;
}
.admin_tab{
margin:0px auto;
margin-top:60px;

}
.add_tab {
display:block;
padding:0px;
}
.add_tab table{
margin:10px auto;
}
.rs_5{
display:inline-block;
float:left;
}
#raskroy_block{
clear:both;
position:relative;
width:100%;


}

#raskroy_block>div{
//background:#d7d7d7;
position:relative;
height:572px;
width:860px;
margin-bottom:40px;

}

#raskroy_block>div .sp1{
position:absolute;
left:48%;
top:0px;
font-size:12px;
}
#raskroy_block>div .sp2{
position:absolute;
top:48%;
left:2px;
font-size:12px;


}
#raskroy_block>div .sp3{
position:absolute;
top:0%;
right:2px;
color:blue;
font-size:12px;
}
.raschet1_block{
margin-top:40px;
clear:both;
}
.raschet1_block>div{
/*font-size:17px;*/
clear:both;
/*height:40px;*/
}
.raschet1_block div div:nth-child(1){
width:350px;
float:left;
}

.raschet1_block div div:nth-child(2){
width:40px;
border:1px solid #787878;
float:left;
overflow:hidden;
text-align:center;
padding:2px 0;
}
.raschet1_block div div:nth-child(3),.raschet1_block div div:nth-child(5){
width:45px;
float:left;
overflow:hidden;
padding:4px;
}
.raschet1_block div div:nth-child(4){
width:70px;
border:1px solid #787878;
float:left;
overflow:hidden;
text-align:center;
padding:2px 0;
}

.raschet1_block div div:nth-child(6){
width:80px;
border:1px solid #787878;
float:left;
overflow:hidden;
text-align:center;
padding:2px 0;
}

.raschet1_block{
padding-bottom:40px;
}

.dost_row {
    display: flex;
    align-items: center;
	margin-top: 20px;
}

.raschet1_block .dost_row select{
float:right;
}
.raschet1_block .dost_row div:nth-child(2),.raschet1_block .dost_row div:nth-child(4){
border:none;
}
.raschet1_block .dost_row div:nth-child(3),.raschet1_block .dost_row div:nth-child(4){
/*width:0px;*/
}
.raschet1_block .dost_row div:nth-child(2){
/*width:160px;*/
}

.raschet1_block .dost_row div:nth-child(4) span {
	border:1px solid #787878;
	text-align:center;
	padding:2px 0;
	width:100%;
}

.raschet1_block .dost_row div:nth-child(2) input{
width:40px;
padding:5px 4px;
display:none;
}
.raschet1_block .dost_row div span {
	display:none;
}
.raschet1_block .itogo_rr{
font-size:18px;
padding-top:5px;
}

.raschet1_block .itogo_rr span{
font-weight:bold;
}

.specifik_block span[data-id="0.4"],.specifik_block span[data-id2="0.4"]{
border-bottom:1px dashed #000;
}
.specifik_block span[data-id="2"],.specifik_block span[data-id2="2"]{
border-bottom:1px solid #000;
}

.row .opt_d{
width:100%;
clear:both;
overflow:hidden;
padding: 10px !important;
}
.specifik_block>div{
clear:both;
width:100%;
margin-bottom:12px;
}
.specifik_block>div>div{
padding:3px 0 8px 0;
margin:0px 5px;
overflow:hidden;
}

#online_popup{
display:none;
width:500px;
padding:5px;
/*height:350px;*/
position:fixed;
top:150px;
left:30%;
border-radius:6px;
border:1px solid #787878;
background:#FFF;
text-align:center;
z-index:2000;
}

#online_popup #popup_title{
font-size:20px;
text-align:center;

}

#online_popup input{
width:300px;
margin:8px auto;
padding:4px ;
font-size:16px;

}
#online_popup textarea{
width:300px;
margin:8px auto;
padding:4px ;
font-size:16px;

}
#popup_fon{
display:none;
position:fixed;
width:100%;
height:100%;
left:0px;
top:0px;
background:#000;
opacity:0.4;
z-index:100;
}
#online_popup .error{
border:1px solid red;
}

#online_popup #succes_m{
font-size:18px;
display:none;
}

.remove_row span{
font-size:21px;
margin-top:0px;
margin-left:15px;
color:red;
}
.remove_row span:hover{
color:red !important;
}
.pop_d{
position:absolute !important;
z-index:100;
left:0px;
padding-top:30px !important;
color:red;
width:500px;
top: 48px;
}
.rask{
border:6px solid #000;
}
#popup_image_fon{
position:fixed;
z-index:4000;
top:30px;
left:0px;
width:100%;
height:100%;
text-align:center;
display:none;
}
#popup_image_fon img{
max-width:600px;
}
#p_img_close{
cursor:pointer;
font-size:20px;
/*font-family:arial;*/
position:fixed;
top:25px;
left:300px;
z-index:1000;

}
.rs1,rs2{
position:relative;
}


/* ============================== */

#calc_block .add_res > div:before {
	position: absolute;
	top:-15px;
	left: 0;
	font-size: 12px;
	color: #888;

}


#calc_block .add_res > div:nth-of-type(1):before {
	content:'Длина:';
}
#calc_block .add_res > div:nth-of-type(2):before {
	content:'Ширина:';
}
#calc_block .add_res > div:nth-of-type(3):before {
	content:'Кол-во:';
}
#calc_block .add_res > div:nth-of-type(4):before {
	content:'Вид детали:';
}

.add_res div span, .res_block span {
	text-decoration: underline;
}

.option_block label {
	width: 220px;
	vertical-align: bottom;
}

#calc_block button.dropdown-toggle {
	border: 1px solid #8c8c8c;
	border-radius: 4px;
}


#calc_block select {
	padding: 5px 10px;
	text-align: left;
}

.rs5 {
	cursor: pointer;
}

.res_block .row {
	margin: 0;
}

.res_block .row:first-of-type{
	margin-top: 40px;
}

.rask > div { /* FIx webkit bug. */
    max-height: 100%;
	max-width: 100%;
}


.opt_d span, .opt_d span:hover {
	position: static;
	cursor: unset !important;
	text-decoration: none !important;
	color: #787878 !important;
}


#popup_img {
	margin-left: 10px;
}

.opt_d b {
	font-weight: normal;
}

.opt_d b.name, .opt_d b.ugol, .opt_d b.coord1, .opt_d b.coord2 {
	font-weight:normal;
}
.opt_d b.ugol {
	margin-right: 5px;
}



.dropdown-menu .thumb {
	display:inline-block;
	width: 50px;
	height: 30px;
	overflow:hidden;
	margin-right:10px;
	vertical-align: middle;
}

.bootstrap-select .dropdown-menu > li {
	padding: 0;
}
.bootstrap-select .dropdown-menu > li a {
	display: block !important;
	font-size: 15px;
	padding: 5px 15px !important;
}

.bootstrap-select .filter-option {
	font-size: 15px;
}

 .disclaimer {
     margin: 0px auto;
     max-width: 860px;
  }

@media only screen and (min-width : 250px) and (max-width : 480px) {
  .base_container {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: repeat(6, 35px);
    float:left;
  }
  .instruction_container {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: repeat(6, 65px);
    float:left;
    width:90%;
  }
  .add_button, .add_raschet, #print_spec, #online_popup_open {
  	float:left;
  }
  #calc_block select {
  	margin-right:100px;
  }
  .raschet1_block div div:nth-child(1) {
  	width:100%;
  }
  #online_popup {
  	width: 100%;
  	left:0%;
  	position:relative;
  	top:-90px;
  }
  #online_popup input {
  	width:100%;
  }
  .add_res div span {
  	font-size:14px;
  }
  .add_res {
  	padding:50px 0 0 0;
  }
  .h1Containter {
  	float:left;
  	width:80%;
  	font-size:20px;
  }
  .disclaimer {
    padding-top: 85px;
    margin-left: 10px;
  }
  #online_popup .links-container {
  width: 100%
  }
  .import-download-buttons {
  top: 38px
  }
  #calc_block {
  margin-left: 10px;
  }
}

@media only screen and (min-width : 481px) {
  .base_container {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: repeat(3, 40px);
  }

}